## usbmuxctl 0.1.4%2Bdfsg

=== debian/control ===
Source: usbmuxctl
Maintainer: Manuel Traut <manut@mecka.net>
Section: misc
Priority: optional
Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools (>= 65.3.0),
  python3-setuptools-scm,
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/linux-automation/usbmuxctl
Vcs-Git: https://salsa.debian.org/debian/usbmuxctl.git
Vcs-Browser: https://salsa.debian.org/debian/usbmuxctl

Package: python3-usbmuxctl
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, dfu-util
Recommends: python3-coloredlogs
Description: Module to control an usb-mux hardware
 This is a Python module to control the Linux Automation GmbH USB-Mux.
 USB-Muxes contain an USB Hub, high speed analog switches, power switches and a
 microcontroller for control. USB-Muxes enable the automated testing of
 embedded USB devices by allowing the connection of a USB device to a DUT
 (device under test) without requiring physical access.
 The USB-Mux hardware and software is usually used with Labgrid

Package: usbmuxctl
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-usbmuxctl
Description: Tool to control an usb-mux from the command line
 This is a command line tool to control a Linux Automation GmbH USB-Mux.
 USB-Muxes contain an USB Hub, high speed analog switches, power switches and a
 microcontroller for control. USB-Muxes enable the automated testing of
 embedded USB devices by allowing the connection of a USB device to a DUT
 (device under test) without requiring physical access.
 The USB-Mux hardware and software is usually used with Labgrid
