## usbmuxctl 0.1.4+dfsg

=== debian/changelog ===
usbmuxctl (0.1.4+dfsg-2) unstable; urgency=medium

  * d/control: Fix typo
  * d/control: Use proper section

 -- Manuel Traut <manut@mecka.net>  Fri, 05 Sep 2025 14:48:07 +0200

usbmuxctl (0.1.4+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1104030)

 -- Manuel Traut <manut@mecka.net>  Thu, 24 Apr 2025 15:29:30 +0200
