=== debian/watch ===
version=4
opts="repack,dversionmangle=auto,repacksuffix=+dfsg" \
https://github.com/linux-automation/usbmuxctl/tags .*/v?(\d.*)@ARCHIVE_EXT@
